From kaneshige.kenji@jp.fujitsu.com Fri May 27 08:11:46 2005
Message-ID: <4296C75E.9040701@jp.fujitsu.com>
Date: Fri, 27 May 2005 16:08:14 +0900
From: Kenji Kaneshige <kaneshige.kenji@jp.fujitsu.com>
To: Greg KH <gregkh@suse.de>
Cc: dlsy@snoqualmie.dp.intel.com
Subject: PCI Hotplug: SHPCHP driver doesn't enable PERR and SERR properly

Current shpchp driver doesn't seem to program command register to
enable PERR and SERR properly. The following patch fixes this issue.

Signed-off-by: Kenji Kaneshige <kaneshige.kenji@jp.fujitsu.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>



---
 drivers/pci/hotplug/shpchprm_acpi.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/pci/hotplug/shpchprm_acpi.c	2005-05-27 15:14:30.000000000 -0700
+++ gregkh-2.6/drivers/pci/hotplug/shpchprm_acpi.c	2005-05-27 15:14:34.000000000 -0700
@@ -1681,7 +1681,7 @@
 		| PCI_COMMAND_IO | PCI_COMMAND_MEMORY;
 	bcmd = bcommand  = bcommand | PCI_BRIDGE_CTL_NO_ISA;
 
-	ab = find_acpi_bridge_by_bus(acpi_bridges_head, ctrl->seg, ctrl->bus);
+	ab = find_acpi_bridge_by_bus(acpi_bridges_head, ctrl->seg, ctrl->slot_bus);
 	if (ab) {
 		if (ab->_hpp) {
 			if (ab->_hpp->enable_perr) {
